
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

> My screen is still a bit garbeld after booting.
> Still like http://zodiac.dnsalias.org/images/garbage.jpg

Yes, usual boot-time x86 garbage. Well, let's imagine it's as simple
as clearing the framebuffer during boot :) Try this patch and let me
know. If that doesn't help, then the problem is definitely in fbcon.



---

 25-akpm/drivers/video/aty/radeon_base.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/video/aty/radeon_base.c~radeon-garbled-screen-fix drivers/video/aty/radeon_base.c
--- 25/drivers/video/aty/radeon_base.c~radeon-garbled-screen-fix	2004-04-22 23:14:52.312241704 -0700
+++ 25-akpm/drivers/video/aty/radeon_base.c	2004-04-22 23:14:52.485215408 -0700
@@ -2204,6 +2204,7 @@ static int radeonfb_pci_register (struct
 			rinfo->mapped_vram /= 2;
 			continue;
 		}
+		memset(rinfo->fb_base, 0, rinfo->mapped_vram);
 		break;
 	}
 

_
